function [TP FP FN QRSfin Pplus SE maxodchylka minodchylka prumernaodchylka err PI]=statistic(QRS,QRSref)
%%%VEVERKA VOJTÌCH, 2015
QRSfin=[];
TP=0;
FP=0;
FN=0;
odchylky=[];
for i=1:length(QRS)
    for k=1:length(QRSref)
        pom=abs(QRS(i)-QRSref(k));
        if pom<0.15
            TP=TP+1;
            QRSfin=[QRSfin QRS(i)];
        end       
    end
    pom2=sum(QRSfin==QRS(i));
    if pom2==1
    else
    FP=FP+1;
    end
end
NQRS=length(QRSref);
FN=abs(length(QRSref)-TP);
Pplus=TP/(TP+FP);
SE=TP/(TP+FN);
PI=(NQRS-(FN+FP))/NQRS;

  for l=1:length(QRSfin)                 
    for m=1:length(QRSref) 
    
    pomodchylka=abs(QRSfin(l)-QRSref(m));
        
    if pomodchylka<=0.1  
       odchylky=[odchylky pomodchylka];  
    end
    end
  end

maxodchylka=max(odchylky)*1000;
minodchylka=min(odchylky)*1000;
prumernaodchylka=mean(odchylky)*1000;

err=((FP+FN)/(TP+FN))*100;

end